Subject: Re: bug#22365: 24.5; nxml-mode completion does not work due to missing hook

From: Noam Postavsky <[email-masked]>
Date: Fri, 21 Sep 2018 21:21:20 -0400

close 22365
quit

Noam Postavsky <[email-masked]> writes:

> Robin Green <[email-masked]> writes:
>
>> I needed to run rng-nxml-mode-init before completion would do anything
>> in nxml-mode. I saw that the hook to run rng-nxml-mode-init in
>> nxml-mode was removed, probably by accident, when nxml-mode was added
>> to emacs, and this was discussed in 2008, but it seems the bug was
>> never fixed.
>>
>> In GNU Emacs 24.5.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.17.8)
>
> Not sure what this is about, in nxml-mode.el there is already a call to
> rng-nxml-mode-init at the end of the nxml-mode definition.  It was added
> in [1: 6bd1e22385], which was indeed in 2008.
>
> [1: 6bd1e22385]: 2008-01-11 15:12:17 +0000
>   (nxml-mode): Call rng-nxml-mode-init directly. Update doc string and commentary.
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=6bd1e22385435e770354764e3c45ee4bac1215fe

The mail to the bug reporter is bouncing, so I'll just go ahead and
close the bug.